### Method

# PangoOT Info find_script

#### Declaration [src]

    gboolean
    pango_ot_info_find_script (
      PangoOTInfo* info,
      PangoOTTableType table_type,
      PangoOTTag script_tag,
      guint* script_index
    )

#### Description [src]

Finds the index of a script.

If not found, tries to find the ‘DFLT’ and then ‘dflt’ scripts and return the index of that in `script_index`. If none of those is found either, `PANGO_OT_NO_SCRIPT` is placed in `script_index`.

All other functions taking an input script_index parameter know how to handle `PANGO_OT_NO_SCRIPT`, so one can ignore the return value of this function completely and proceed, to enjoy the automatic fallback to the ‘DFLT’/’dflt’ script.

#### Parameters

`table_type`

  Type: `PangoOTTableType`

  The table type to obtain information about.

`script_tag`

  Type: `PangoOTTag`

  The tag of the script to find.

`script_index`

  Type: `guint*`

  Location to store the index of the script.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

`TRUE` if the script was found.